Subject: Re: bug#56530: 29.0.50; mouse-2 cut selected text when cua-mode is enabled

From: Stefan Kangas <[email-masked]>
Date: Wed, 13 Jul 2022 03:10:51 -0700

David Ponce <[email-masked]> writes:

> I noticed that now, when cua-mode is enabled, when I select a region
> (with mouse or keyboard), then use mouse-2 click on another point to
> insert the selected text, the active region is cut before to insert text
> at the mouse-2 click for the first time. As far as I remember this is a
> new behavior, and previously the selected region was not cut, but
> copied, like when cua-mode is disabled.
>
> The woraround is to first deselect the region before to click mouse-2 to
> insert the previously selected text. This way the initially selected
> text is not cut.

I can reproduce this on current master, but not on Emacs 27.

I think it's a bug.